package perror

type Code string

const (
	SuccessfulCompletion                                    Code = "00000"
	Warning                                                 Code = "01000"
	DynamicResultSetsReturned                               Code = "0100C"
	ImplicitZeroBitPadding                                  Code = "01008"
	NullValueEliminatedInSetFunction                        Code = "01003"
	PrivilegeNotGranted                                     Code = "01007"
	PrivilegeNotRevoked                                     Code = "01006"
	StringDataRightTruncationWarning                        Code = "01004"
	DeprecatedFeature                                       Code = "01P01"
	NoData                                                  Code = "02000"
	NoAdditionalDynamicResultSetsReturned                   Code = "02001"
	SqlStatementNotYetComplete                              Code = "03000"
	ConnectionException                                     Code = "08000"
	ConnectionDoesNotExist                                  Code = "08003"
	ConnectionFailure                                       Code = "08006"
	SqlclientUnableToEstablishSqlconnection                 Code = "08001"
	SqlserverRejectedEstablishmentOfSqlconnection           Code = "08004"
	TransactionResolutionUnknown                            Code = "08007"
	ProtocolViolation                                       Code = "08P01"
	TriggeredActionException                                Code = "09000"
	FeatureNotSupported                                     Code = "0A000"
	InvalidTransactionInitiation                            Code = "0B000"
	LocatorException                                        Code = "0F000"
	InvalidLocatorSpecification                             Code = "0F001"
	InvalidGrantor                                          Code = "0L000"
	InvalidGrantOperation                                   Code = "0LP01"
	InvalidRoleSpecification                                Code = "0P000"
	DiagnosticsException                                    Code = "0Z000"
	StackedDiagnosticsAccessedWithoutActiveHandler          Code = "0Z002"
	CaseNotFound                                            Code = "20000"
	CardinalityViolation                                    Code = "21000"
	DataException                                           Code = "22000"
	ArraySubscriptError                                     Code = "2202E"
	CharacterNotInRepertoire                                Code = "22021"
	DatetimeFieldOverflow                                   Code = "22008"
	DivisionByZero                                          Code = "22012"
	ErrorInAssignment                                       Code = "22005"
	EscapeCharacterConflict                                 Code = "2200B"
	IndicatorOverflow                                       Code = "22022"
	IntervalFieldOverflow                                   Code = "22015"
	InvalidArgumentForLogarithm                             Code = "2201E"
	InvalidArgumentForNtileFunction                         Code = "22014"
	InvalidArgumentForNthValueFunction                      Code = "22016"
	InvalidArgumentForPowerFunction                         Code = "2201F"
	InvalidArgumentForWidthBucketFunction                   Code = "2201G"
	InvalidCharacterValueForCast                            Code = "22018"
	InvalidDatetimeFormat                                   Code = "22007"
	InvalidEscapeCharacter                                  Code = "22019"
	InvalidEscapeOctet                                      Code = "2200D"
	InvalidEscapeSequence                                   Code = "22025"
	NonstandardUseOfEscapeCharacter                         Code = "22P06"
	InvalidIndicatorParameterValue                          Code = "22010"
	InvalidParameterValue                                   Code = "22023"
	InvalidPrecedingOrFollowingSize                         Code = "22013"
	InvalidRegularExpression                                Code = "2201B"
	InvalidRowCountInLimitClause                            Code = "2201W"
	InvalidRowCountInResultOffsetClause                     Code = "2201X"
	InvalidTablesampleArgument                              Code = "2202H"
	InvalidTablesampleRepeat                                Code = "2202G"
	InvalidTimeZoneDisplacementValue                        Code = "22009"
	InvalidUseOfEscapeCharacter                             Code = "2200C"
	MostSpecificTypeMismatch                                Code = "2200G"
	NullValueNotAllowedDataException                        Code = "22004"
	NullValueNoIndicatorParameter                           Code = "22002"
	NumericValueOutOfRange                                  Code = "22003"
	SequenceGeneratorLimitExceeded                          Code = "2200H"
	StringDataLengthMismatch                                Code = "22026"
	StringDataRightTruncationDataException                  Code = "22001"
	SubstringError                                          Code = "22011"
	TrimError                                               Code = "22027"
	UnterminatedCString                                     Code = "22024"
	ZeroLengthCharacterString                               Code = "2200F"
	FloatingPointException                                  Code = "22P01"
	InvalidTextRepresentation                               Code = "22P02"
	InvalidBinaryRepresentation                             Code = "22P03"
	BadCopyFileFormat                                       Code = "22P04"
	UntranslatableCharacter                                 Code = "22P05"
	NotAnXmlDocument                                        Code = "2200L"
	InvalidXmlDocument                                      Code = "2200M"
	InvalidXmlContent                                       Code = "2200N"
	InvalidXmlComment                                       Code = "2200S"
	InvalidXmlProcessingInstruction                         Code = "2200T"
	DuplicateJsonObjectKeyValue                             Code = "22030"
	InvalidArgumentForSqlJsonDatetimeFunction               Code = "22031"
	InvalidJsonText                                         Code = "22032"
	InvalidSqlJsonSubscript                                 Code = "22033"
	MoreThanOneSqlJsonItem                                  Code = "22034"
	NoSqlJsonItem                                           Code = "22035"
	NonNumericSqlJsonItem                                   Code = "22036"
	NonUniqueKeysInAJsonObject                              Code = "22037"
	SingletonSqlJsonItemRequired                            Code = "22038"
	SqlJsonArrayNotFound                                    Code = "22039"
	SqlJsonMemberNotFound                                   Code = "2203A"
	SqlJsonNumberNotFound                                   Code = "2203B"
	SqlJsonObjectNotFound                                   Code = "2203C"
	TooManyJsonArrayElements                                Code = "2203D"
	TooManyJsonObjectMembers                                Code = "2203E"
	SqlJsonScalarRequired                                   Code = "2203F"
	SqlJsonItemCannotBeCastToTargetType                     Code = "2203G"
	IntegrityConstraintViolation                            Code = "23000"
	RestrictViolation                                       Code = "23001"
	NotNullViolation                                        Code = "23502"
	ForeignKeyViolation                                     Code = "23503"
	UniqueViolation                                         Code = "23505"
	CheckViolation                                          Code = "23514"
	ExclusionViolation                                      Code = "23P01"
	InvalidCursorState                                      Code = "24000"
	InvalidTransactionState                                 Code = "25000"
	ActiveSqlTransaction                                    Code = "25001"
	BranchTransactionAlreadyActive                          Code = "25002"
	HeldCursorRequiresSameIsolationLevel                    Code = "25008"
	InappropriateAccessModeForBranchTransaction             Code = "25003"
	InappropriateIsolationLevelForBranchTransaction         Code = "25004"
	NoActiveSqlTransactionForBranchTransaction              Code = "25005"
	ReadOnlySqlTransaction                                  Code = "25006"
	SchemaAndDataStatementMixingNotSupported                Code = "25007"
	NoActiveSqlTransaction                                  Code = "25P01"
	InFailedSqlTransaction                                  Code = "25P02"
	IdleInTransactionSessionTimeout                         Code = "25P03"
	InvalidSqlStatementName                                 Code = "26000"
	TriggeredDataChangeViolation                            Code = "27000"
	InvalidAuthorizationSpecification                       Code = "28000"
	InvalidPassword                                         Code = "28P01"
	DependentPrivilegeDescriptorsStillExist                 Code = "2B000"
	DependentObjectsStillExist                              Code = "2BP01"
	InvalidTransactionTermination                           Code = "2D000"
	SqlRoutineException                                     Code = "2F000"
	FunctionExecutedNoReturnStatement                       Code = "2F005"
	ModifyingSqlDataNotPermittedSQLRoutineException         Code = "2F002"
	ProhibitedSqlStatementAttemptedSQLRoutineException      Code = "2F003"
	ReadingSqlDataNotPermittedSQLRoutineException           Code = "2F004"
	InvalidCursorName                                       Code = "34000"
	ExternalRoutineException                                Code = "38000"
	ContainingSqlNotPermitted                               Code = "38001"
	ModifyingSqlDataNotPermittedExternalRoutineException    Code = "38002"
	ProhibitedSqlStatementAttemptedExternalRoutineException Code = "38003"
	ReadingSqlDataNotPermittedExternalRoutineException      Code = "38004"
	ExternalRoutineInvocationException                      Code = "39000"
	InvalidSqlstateReturned                                 Code = "39001"
	NullValueNotAllowedExternalRoutineInvocationException   Code = "39004"
	TriggerProtocolViolated                                 Code = "39P01"
	SrfProtocolViolated                                     Code = "39P02"
	EventTriggerProtocolViolated                            Code = "39P03"
	SavepointException                                      Code = "3B000"
	InvalidSavepointSpecification                           Code = "3B001"
	InvalidCatalogName                                      Code = "3D000"
	InvalidSchemaName                                       Code = "3F000"
	TransactionRollback                                     Code = "40000"
	TransactionIntegrityConstraintViolation                 Code = "40002"
	SerializationFailure                                    Code = "40001"
	StatementCompletionUnknown                              Code = "40003"
	DeadlockDetected                                        Code = "40P01"
	SyntaxErrorOrAccessRuleViolation                        Code = "42000"
	SyntaxError                                             Code = "42601"
	InsufficientPrivilege                                   Code = "42501"
	CannotCoerce                                            Code = "42846"
	GroupingError                                           Code = "42803"
	WindowingError                                          Code = "42P20"
	InvalidRecursion                                        Code = "42P19"
	InvalidForeignKey                                       Code = "42830"
	InvalidName                                             Code = "42602"
	NameTooLong                                             Code = "42622"
	ReservedName                                            Code = "42939"
	DatatypeMismatch                                        Code = "42804"
	IndeterminateDatatype                                   Code = "42P18"
	CollationMismatch                                       Code = "42P21"
	IndeterminateCollation                                  Code = "42P22"
	WrongObjectType                                         Code = "42809"
	GeneratedAlways                                         Code = "428C9"
	UndefinedColumn                                         Code = "42703"
	UndefinedFunction                                       Code = "42883"
	UndefinedTable                                          Code = "42P01"
	UndefinedParameter                                      Code = "42P02"
	UndefinedObject                                         Code = "42704"
	DuplicateColumn                                         Code = "42701"
	DuplicateCursor                                         Code = "42P03"
	DuplicateDatabase                                       Code = "42P04"
	DuplicateFunction                                       Code = "42723"
	DuplicatePreparedStatement                              Code = "42P05"
	DuplicateSchema                                         Code = "42P06"
	DuplicateTable                                          Code = "42P07"
	DuplicateAlias                                          Code = "42712"
	DuplicateObject                                         Code = "42710"
	AmbiguousColumn                                         Code = "42702"
	AmbiguousFunction                                       Code = "42725"
	AmbiguousParameter                                      Code = "42P08"
	AmbiguousAlias                                          Code = "42P09"
	InvalidColumnReference                                  Code = "42P10"
	InvalidColumnDefinition                                 Code = "42611"
	InvalidCursorDefinition                                 Code = "42P11"
	InvalidDatabaseDefinition                               Code = "42P12"
	InvalidFunctionDefinition                               Code = "42P13"
	InvalidPreparedStatementDefinition                      Code = "42P14"
	InvalidSchemaDefinition                                 Code = "42P15"
	InvalidTableDefinition                                  Code = "42P16"
	InvalidObjectDefinition                                 Code = "42P17"
	WithCheckOptionViolation                                Code = "44000"
	InsufficientResources                                   Code = "53000"
	DiskFull                                                Code = "53100"
	OutOfMemory                                             Code = "53200"
	TooManyConnections                                      Code = "53300"
	ConfigurationLimitExceeded                              Code = "53400"
	ProgramLimitExceeded                                    Code = "54000"
	StatementTooComplex                                     Code = "54001"
	TooManyColumns                                          Code = "54011"
	TooManyArguments                                        Code = "54023"
	ObjectNotInPrerequisiteState                            Code = "55000"
	ObjectInUse                                             Code = "55006"
	CantChangeRuntimeParam                                  Code = "55P02"
	LockNotAvailable                                        Code = "55P03"
	UnsafeNewEnumValueUsage                                 Code = "55P04"
	OperatorIntervention                                    Code = "57000"
	QueryCanceled                                           Code = "57014"
	AdminShutdown                                           Code = "57P01"
	CrashShutdown                                           Code = "57P02"
	CannotConnectNow                                        Code = "57P03"
	DatabaseDropped                                         Code = "57P04"
	IdleSessionTimeout                                      Code = "57P05"
	SystemError                                             Code = "58000"
	IoError                                                 Code = "58030"
	UndefinedFile                                           Code = "58P01"
	DuplicateFile                                           Code = "58P02"
	SnapshotTooOld                                          Code = "72000"
	ConfigFileError                                         Code = "F0000"
	LockFileExists                                          Code = "F0001"
	FdwError                                                Code = "HV000"
	FdwColumnNameNotFound                                   Code = "HV005"
	FdwDynamicParameterValueNeeded                          Code = "HV002"
	FdwFunctionSequenceError                                Code = "HV010"
	FdwInconsistentDescriptorInformation                    Code = "HV021"
	FdwInvalidAttributeValue                                Code = "HV024"
	FdwInvalidColumnName                                    Code = "HV007"
	FdwInvalidColumnNumber                                  Code = "HV008"
	FdwInvalidDataType                                      Code = "HV004"
	FdwInvalidDataTypeDescriptors                           Code = "HV006"
	FdwInvalidDescriptorFieldIdentifier                     Code = "HV091"
	FdwInvalidHandle                                        Code = "HV00B"
	FdwInvalidOptionIndex                                   Code = "HV00C"
	FdwInvalidOptionName                                    Code = "HV00D"
	FdwInvalidStringLengthOrBufferLength                    Code = "HV090"
	FdwInvalidStringFormat                                  Code = "HV00A"
	FdwInvalidUseOfNullPointer                              Code = "HV009"
	FdwTooManyHandles                                       Code = "HV014"
	FdwOutOfMemory                                          Code = "HV001"
	FdwNoSchemas                                            Code = "HV00P"
	FdwOptionNameNotFound                                   Code = "HV00J"
	FdwReplyHandle                                          Code = "HV00K"
	FdwSchemaNotFound                                       Code = "HV00Q"
	FdwTableNotFound                                        Code = "HV00R"
	FdwUnableToCreateExecution                              Code = "HV00L"
	FdwUnableToCreateReply                                  Code = "HV00M"
	FdwUnableToEstablishConnection                          Code = "HV00N"
	PlpgsqlError                                            Code = "P0000"
	RaiseException                                          Code = "P0001"
	NoDataFound                                             Code = "P0002"
	TooManyRows                                             Code = "P0003"
	AssertFailure                                           Code = "P0004"
	InternalError                                           Code = "XX000"
	DataCorrupted                                           Code = "XX001"
	IndexCorrupted                                          Code = "XX002"
)
